Package org.apache.wiki.ui.admin

# Class WikiFormAdminBean

java.lang.Object
org.apache.wiki.ui.admin.WikiFormAdminBean

All Implemented Interfaces:
  `AdminBean`, `GenericHTTPHandler`

public abstract class WikiFormAdminBean extends Object implements AdminBean
This class is still experimental.

## Field Summary

### Fields inherited from interface org.apache.wiki.ui.admin.AdminBean

`CORE, EDITOR, UNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`WikiFormAdminBean()`

## Method Summary

Modifier and Type
Method
Description
`String`
`doGet(org.apache.wiki.api.core.Context context)`
Return basic HTML.
`abstract String`
`getForm(org.apache.wiki.api.core.Context context)`
`String`
`handlePost(org.apache.wiki.api.core.Context context, jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse resp)`
`abstract void`
`handleResponse(org.apache.wiki.api.core.Context context, Map<?,?> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.ui.admin.AdminBean

`getTitle, getType, initialize`

### Methods inherited from interface org.apache.wiki.ui.GenericHTTPHandler

`doPost, getId`

## Constructor Details

### WikiFormAdminBean

public WikiFormAdminBean()

## Method Details

### getForm

public abstract String getForm(org.apache.wiki.api.core.Context context)

### handleResponse

public abstract void handleResponse(org.apache.wiki.api.core.Context context, Map<?,?> params)

### doGet

public String doGet(org.apache.wiki.api.core.Context context)
Description copied from interface: `GenericHTTPHandler`
Return basic HTML.

Specified by:
  `doGet` in interface `GenericHTTPHandler`
Parameters:
  `context` - associated WikiContext
Returns:
  the HTML for the bean

### handlePost

public String handlePost(org.apache.wiki.api.core.Context context, jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse resp)